Only in b/src/core: libxmpp_core.so
diff -rBu a/src/core/loudmouth-tools.h b/src/core/loudmouth-tools.h
--- a/src/core/loudmouth-tools.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/core/loudmouth-tools.h	2016-06-07 14:54:04.037983586 +0200
@@ -1,9 +1,13 @@
 #ifndef __LOUDMOUTH_TOOLS_H
 #define __LOUDMOUTH_TOOLS_H
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 LmMessageNode	*lm_find_node(LmMessageNode *, const char *,
 		     const char *, const char *);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/core: loudmouth-tools.o
diff -rBu a/src/core/protocol.h b/src/core/protocol.h
--- a/src/core/protocol.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/core/protocol.h	2016-06-07 14:57:43.995854903 +0200
@@ -3,9 +3,13 @@
 
 #include "xmpp-servers.h"
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 void	protocol_init(void);
 void	protocol_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/core: protocol.o
diff -rBu a/src/core/rosters-tools.h b/src/core/rosters-tools.h
--- a/src/core/rosters-tools.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/core/rosters-tools.h	2016-06-07 14:56:35.477774630 +0200
@@ -3,7 +3,9 @@
 
 #include "rosters.h"
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 XMPP_ROSTER_USER_REC	 *rosters_find_user(GSList *, const char *,
 			     XMPP_ROSTER_GROUP_REC **,
 			     XMPP_ROSTER_RESOURCE_REC **);
@@ -12,6 +14,8 @@
 char		*rosters_resolve_name(XMPP_SERVER_REC *, const char *);
 char		*rosters_get_name(XMPP_SERVER_REC *, const char *);
 int		 xmpp_get_show(const char *);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/core: rosters-tools.o
diff -rBu a/src/core/rosters.h b/src/core/rosters.h
--- a/src/core/rosters.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/core/rosters.h	2016-06-07 14:56:12.660637219 +0200
@@ -45,9 +45,13 @@
 	GSList	*users;
 } XMPP_ROSTER_GROUP_REC;
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 void rosters_init(void);
 void rosters_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/core: rosters.o
diff -rBu a/src/core/stanzas.h b/src/core/stanzas.h
--- a/src/core/stanzas.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/core/stanzas.h	2016-06-07 14:57:07.251763497 +0200
@@ -1,9 +1,13 @@
 #ifndef __STANZAS_H
 #define __STANZAS_H
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 void	stanzas_init(void);
 void	stanzas_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/core: stanzas.o
diff -rBu a/src/core/tools.h b/src/core/tools.h
--- a/src/core/tools.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/core/tools.h	2016-06-07 14:58:25.420042865 +0200
@@ -1,7 +1,9 @@
 #ifndef __TOOLS_H
 #define __TOOLS_H
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 char	*xmpp_recode_out(const char *);
 char	*xmpp_recode_in(const char *);
 
@@ -15,6 +17,8 @@
 gboolean xmpp_priority_out_of_bound(const int);
 gboolean xmpp_presence_changed(const int, const int, const char *,
 	     const char *, const int, const int);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/core: tools.o
diff -rBu a/src/core/xep/chatstates.h b/src/core/xep/chatstates.h
--- a/src/core/xep/chatstates.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/core/xep/chatstates.h	2016-06-07 15:02:41.755331358 +0200
@@ -1,9 +1,13 @@
 #ifndef __CHATSTATES_H
 #define __CHATSTATES_H
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 void chatstates_init(void);
 void chatstates_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/core/xep: chatstates.o
diff -rBu a/src/core/xep/composing.h b/src/core/xep/composing.h
--- a/src/core/xep/composing.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/core/xep/composing.h	2016-06-07 15:03:01.002395114 +0200
@@ -1,9 +1,13 @@
 #ifndef __COMPOSING_H
 #define __COMPOSING_H
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 void composing_init(void);
 void composing_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/core/xep: composing.o
diff -rBu a/src/core/xep/datetime.h b/src/core/xep/datetime.h
--- a/src/core/xep/datetime.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/core/xep/datetime.h	2016-06-07 15:00:12.732256841 +0200
@@ -1,8 +1,12 @@
 #ifndef __DATETIME_H
 #define __DATETIME_H
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 time_t xep82_datetime(const char *);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/core/xep: datetime.o
diff -rBu a/src/core/xep/delay.h b/src/core/xep/delay.h
--- a/src/core/xep/delay.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/core/xep/delay.h	2016-06-07 15:03:17.059393056 +0200
@@ -1,9 +1,13 @@
 #ifndef __DELAY_H
 #define __DELAY_H
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 void delay_init(void);
 void delay_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/core/xep: delay.o
diff -rBu a/src/core/xep/disco.h b/src/core/xep/disco.h
--- a/src/core/xep/disco.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/core/xep/disco.h	2016-06-07 14:59:18.157797573 +0200
@@ -1,14 +1,18 @@
 #ifndef __DISCO_H
 #define __DISCO_H
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 void		disco_add_feature(char *);
 gboolean	disco_have_feature(GSList *, const char *);
 void		disco_request(XMPP_SERVER_REC *, const char *);
 
 void disco_init(void);
 void disco_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #define XMLNS "xmlns"
 
Only in b/src/core/xep: disco.o
diff -rBu a/src/core/xep/muc-commands.h b/src/core/xep/muc-commands.h
--- a/src/core/xep/muc-commands.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/core/xep/muc-commands.h	2016-06-07 15:01:19.090292550 +0200
@@ -1,9 +1,13 @@
 #ifndef __MUC_COMMANDS_H
 #define __MUC_COMMANDS_H
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 void muc_commands_init(void);
 void muc_commands_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/core/xep: muc-commands.o
diff -rBu a/src/core/xep/muc-events.h b/src/core/xep/muc-events.h
--- a/src/core/xep/muc-events.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/core/xep/muc-events.h	2016-06-07 15:01:42.187435738 +0200
@@ -1,9 +1,13 @@
 #ifndef __MUC_EVENTS_H
 #define __MUC_EVENTS_H
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 void muc_events_init(void);
 void muc_events_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/core/xep: muc-events.o
diff -rBu a/src/core/xep/muc-nicklist.h b/src/core/xep/muc-nicklist.h
--- a/src/core/xep/muc-nicklist.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/core/xep/muc-nicklist.h	2016-06-07 15:01:00.156568592 +0200
@@ -41,7 +41,9 @@
 };
 extern const char *xmpp_nicklist_role[];
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 XMPP_NICK_REC	*xmpp_nicklist_insert(MUC_REC *, const char *, const char *);
 void		 xmpp_nicklist_rename(MUC_REC *, XMPP_NICK_REC *, const char *,
 		     const char *);
@@ -54,6 +56,8 @@
 
 void muc_nicklist_init(void);
 void muc_nicklist_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/core/xep: muc-nicklist.o
diff -rBu a/src/core/xep/muc-reconnect.h b/src/core/xep/muc-reconnect.h
--- a/src/core/xep/muc-reconnect.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/core/xep/muc-reconnect.h	2016-06-07 15:02:20.434891494 +0200
@@ -1,9 +1,13 @@
 #ifndef __MUC_RECONNECT_H
 #define __MUC_RECONNECT_H
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 void muc_reconnect_init(void);
 void muc_reconnect_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/core/xep: muc-reconnect.o
diff -rBu a/src/core/xep/muc.h b/src/core/xep/muc.h
--- a/src/core/xep/muc.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/core/xep/muc.h	2016-06-07 15:00:42.002860727 +0200
@@ -49,7 +49,9 @@
 	MUC_ERROR_MAXIMUM_USERS_REACHED		= 503,
 };
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 void muc_join(XMPP_SERVER_REC *, const char *, gboolean);
 void muc_part(MUC_REC *, const char *);
 void muc_nick(MUC_REC *, const char *);
@@ -57,6 +59,8 @@
 
 void muc_init(void);
 void muc_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/core/xep: muc.o
diff -rBu a/src/core/xep/oob.h b/src/core/xep/oob.h
--- a/src/core/xep/oob.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/core/xep/oob.h	2016-06-07 15:03:31.993034487 +0200
@@ -1,9 +1,13 @@
 #ifndef __OOB_H
 #define __OOB_H
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 void oob_init(void);
 void oob_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/core/xep: oob.o
diff -rBu a/src/core/xep/ping.h b/src/core/xep/ping.h
--- a/src/core/xep/ping.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/core/xep/ping.h	2016-06-07 15:04:08.993797855 +0200
@@ -1,11 +1,15 @@
 #ifndef __PING_H
 #define __PING_H
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 void xmpp_ping_send(XMPP_SERVER_REC *, const char *);
 
 void ping_init(void);
 void ping_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/core/xep: ping.o
diff -rBu a/src/core/xep/registration.h b/src/core/xep/registration.h
--- a/src/core/xep/registration.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/core/xep/registration.h	2016-06-07 15:02:03.267870651 +0200
@@ -14,9 +14,13 @@
 	REGISTRATION_ERROR_UNKNOWN		= -1,
 };
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 void registration_init(void);
 void registration_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/core/xep: registration.o
diff -rBu a/src/core/xep/tool_datalist.h b/src/core/xep/tool_datalist.h
--- a/src/core/xep/tool_datalist.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/core/xep/tool_datalist.h	2016-06-07 14:58:54.853983455 +0200
@@ -14,7 +14,9 @@
 	void (*freedata_func)(DATALIST_REC *);
 } DATALIST;
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 DATALIST	*datalist_new(void (*)(DATALIST_REC *));
 void		 datalist_destroy(DATALIST *);
 DATALIST_REC	*datalist_find(DATALIST *, XMPP_SERVER_REC *, const char *);
@@ -23,6 +25,8 @@
 void		 datalist_free(DATALIST *, DATALIST_REC *);
 void		 datalist_remove(DATALIST *, XMPP_SERVER_REC *, const char *);
 void		 datalist_cleanup(DATALIST *, XMPP_SERVER_REC *);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/core/xep: tool_datalist.o
diff -rBu a/src/core/xep/vcard.h b/src/core/xep/vcard.h
--- a/src/core/xep/vcard.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/core/xep/vcard.h	2016-06-07 15:03:52.770129809 +0200
@@ -1,9 +1,13 @@
 #ifndef __VCARD_H
 #define __VCARD_H
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 void vcard_init(void);
 void vcard_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/core/xep: vcard.o
diff -rBu a/src/core/xep/version.h b/src/core/xep/version.h
--- a/src/core/xep/version.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/core/xep/version.h	2016-06-07 15:04:23.914105679 +0200
@@ -1,9 +1,13 @@
 #ifndef __VERSION_H
 #define __VERSION_H
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 void version_init(void);
 void version_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/core/xep: version.o
diff -rBu a/src/core/xep/xep.h b/src/core/xep/xep.h
--- a/src/core/xep/xep.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/core/xep/xep.h	2016-06-07 14:58:04.412942798 +0200
@@ -1,9 +1,13 @@
 #ifndef __XEP_H
 #define __XEP_H
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 void	xep_init(void);
 void	xep_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/core/xep: xep.o
diff -rBu a/src/core/xmpp-commands.h b/src/core/xmpp-commands.h
--- a/src/core/xmpp-commands.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/core/xmpp-commands.h	2016-06-07 14:53:34.130699897 +0200
@@ -50,11 +50,15 @@
 		}							\
 	} G_STMT_END
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 char	*xmpp_get_dest(const char *, XMPP_SERVER_REC *, WI_ITEM_REC *);
 
 void	xmpp_commands_init(void);
 void	xmpp_commands_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/core: xmpp-commands.o
Only in b/src/core: xmpp-core.o
diff -rBu a/src/core/xmpp-queries.h b/src/core/xmpp-queries.h
--- a/src/core/xmpp-queries.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/core/xmpp-queries.h	2016-06-07 14:55:00.702485973 +0200
@@ -22,8 +22,12 @@
 	gboolean	composing_visible;
 };
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 QUERY_REC	*xmpp_query_create(const char *, const char *, int);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/core: xmpp-queries.o
diff -rBu a/src/core/xmpp-servers-reconnect.h b/src/core/xmpp-servers-reconnect.h
--- a/src/core/xmpp-servers-reconnect.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/core/xmpp-servers-reconnect.h	2016-06-07 14:55:26.259679914 +0200
@@ -1,9 +1,13 @@
 #ifndef __XMPP_SERVERS_RECONNECT_H
 #define __XMPP_SERVERS_RECONNECT_H
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 void	xmpp_servers_reconnect_init(void);
 void	xmpp_servers_reconnect_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/core: xmpp-servers-reconnect.o
diff -rBu a/src/core/xmpp-servers.h b/src/core/xmpp-servers.h
--- a/src/core/xmpp-servers.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/core/xmpp-servers.h	2016-06-07 14:54:39.542049408 +0200
@@ -54,12 +54,16 @@
 	GSList		*msg_handlers;
 };
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 SERVER_REC	*xmpp_server_init_connect(SERVER_CONNECT_REC *);
 void		 xmpp_server_connect(XMPP_SERVER_REC *);
 
 void        	xmpp_servers_init(void);
 void		xmpp_servers_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/core: xmpp-servers.o
diff -rBu a/src/core/xmpp-settings.h b/src/core/xmpp-settings.h
--- a/src/core/xmpp-settings.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/core/xmpp-settings.h	2016-06-07 14:55:48.160131745 +0200
@@ -1,9 +1,13 @@
 #ifndef __XMPP_SETTINGS_H
 #define __XMPP_SETTINGS_H
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 void xmpp_settings_init(void);
 void xmpp_settings_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/core: xmpp-settings.o
diff -rBu a/src/fe-common/fe-rosters.h b/src/fe-common/fe-rosters.h
--- a/src/fe-common/fe-rosters.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/fe-common/fe-rosters.h	2016-06-07 15:06:36.863515245 +0200
@@ -1,9 +1,13 @@
 #ifndef __FE_ROSTERS_H
 #define __FE__ROSTERS_H
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 void fe_rosters_init(void);
 void fe_rosters_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/fe-common: fe-rosters.o
diff -rBu a/src/fe-common/fe-stanzas.h b/src/fe-common/fe-stanzas.h
--- a/src/fe-common/fe-stanzas.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/fe-common/fe-stanzas.h	2016-06-07 15:06:59.680652656 +0200
@@ -1,9 +1,13 @@
 #ifndef __FE_STANZAS_H
 #define __FE_STANZAS_H
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 void fe_stanzas_init(void);
 void fe_stanzas_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/fe-common: fe-stanzas.o
Only in b/src/fe-common: fe-xmpp-core.o
diff -rBu a/src/fe-common/fe-xmpp-messages.h b/src/fe-common/fe-xmpp-messages.h
--- a/src/fe-common/fe-xmpp-messages.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/fe-common/fe-xmpp-messages.h	2016-06-07 15:07:17.607689178 +0200
@@ -1,9 +1,13 @@
 #ifndef __FE_XMPP_MESSAGES_H
 #define __FE_XMPP_MESSAGES_H
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 void fe_xmpp_messages_init(void);
 void fe_xmpp_messages_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/fe-common: fe-xmpp-messages.o
diff -rBu a/src/fe-common/fe-xmpp-queries.h b/src/fe-common/fe-xmpp-queries.h
--- a/src/fe-common/fe-xmpp-queries.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/fe-common/fe-xmpp-queries.h	2016-06-07 15:07:50.471700534 +0200
@@ -1,9 +1,13 @@
 #ifndef __FE_XMPP_QUERIES_H
 #define __FE_XMPP_QUERIES_H
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 void fe_xmpp_queries_init(void);
 void fe_xmpp_queries_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/fe-common: fe-xmpp-queries.o
diff -rBu a/src/fe-common/fe-xmpp-status.h b/src/fe-common/fe-xmpp-status.h
--- a/src/fe-common/fe-xmpp-status.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/fe-common/fe-xmpp-status.h	2016-06-07 15:04:55.894765477 +0200
@@ -3,12 +3,16 @@
 
 extern const char *fe_xmpp_presence_show[];
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 char		*fe_xmpp_status_get_window_name(XMPP_SERVER_REC *);
 WINDOW_REC	*fe_xmpp_status_get_window(XMPP_SERVER_REC *);
 
 void fe_xmpp_status_init(void);
 void fe_xmpp_status_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/fe-common: fe-xmpp-status.o
diff -rBu a/src/fe-common/fe-xmpp-windows.h b/src/fe-common/fe-xmpp-windows.h
--- a/src/fe-common/fe-xmpp-windows.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/fe-common/fe-xmpp-windows.h	2016-06-07 15:08:03.231963621 +0200
@@ -1,9 +1,13 @@
 #ifndef __FE_XMPP_WINDOWS_H
 #define __FE_XMPP_WINDOWS_H
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 void fe_xmpp_windows_init(void);
 void fe_xmpp_windows_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/fe-common: fe-xmpp-windows.o
Only in b/src/fe-common: libfe_xmpp.so
Only in b/src/fe-common: module-formats.o
diff -rBu a/src/fe-common/xep/fe-composing.h b/src/fe-common/xep/fe-composing.h
--- a/src/fe-common/xep/fe-composing.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/fe-common/xep/fe-composing.h	2016-06-07 15:09:07.119947454 +0200
@@ -1,9 +1,13 @@
 #ifndef __FE_COMPOSING_H
 #define __FE_COMPOSING_H
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 void	fe_composing_init(void);
 void	fe_composing_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/fe-common/xep: fe-composing.o
diff -rBu a/src/fe-common/xep/fe-delay.h b/src/fe-common/xep/fe-delay.h
--- a/src/fe-common/xep/fe-delay.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/fe-common/xep/fe-delay.h	2016-06-07 15:09:17.776833832 +0200
@@ -1,9 +1,13 @@
 #ifndef __FE_DELAY_H
 #define __FE_DELAY_H
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 void fe_delay_init(void);
 void fe_delay_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/fe-common/xep: fe-delay.o
diff -rBu a/src/fe-common/xep/fe-muc.h b/src/fe-common/xep/fe-muc.h
--- a/src/fe-common/xep/fe-muc.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/fe-common/xep/fe-muc.h	2016-06-07 15:09:29.967085155 +0200
@@ -1,9 +1,13 @@
 #ifndef __FE_MUC_H
 #define __FE_MUC_H
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 void fe_muc_init(void);
 void fe_muc_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/fe-common/xep: fe-muc.o
diff -rBu a/src/fe-common/xep/fe-ping.h b/src/fe-common/xep/fe-ping.h
--- a/src/fe-common/xep/fe-ping.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/fe-common/xep/fe-ping.h	2016-06-07 15:09:52.560884300 +0200
@@ -1,9 +1,13 @@
 #ifndef __FE_PING_H
 #define __FE_PING_H
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 void fe_ping_init(void);
 void fe_ping_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/fe-common/xep: fe-ping.o
diff -rBu a/src/fe-common/xep/fe-registration.h b/src/fe-common/xep/fe-registration.h
--- a/src/fe-common/xep/fe-registration.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/fe-common/xep/fe-registration.h	2016-06-07 15:10:20.631463026 +0200
@@ -1,9 +1,13 @@
 #ifndef __FE_REGISTRATION_H
 #define __FE_REGISTRATION_H
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 void fe_registration_init(void);
 void fe_registration_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/fe-common/xep: fe-registration.o
diff -rBu a/src/fe-common/xep/fe-vcard.h b/src/fe-common/xep/fe-vcard.h
--- a/src/fe-common/xep/fe-vcard.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/fe-common/xep/fe-vcard.h	2016-06-07 15:09:40.983978955 +0200
@@ -1,9 +1,13 @@
 #ifndef __FE_VCARD_H
 #define __FE_VCARD_H
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 void fe_vcard_init(void);
 void fe_vcard_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/fe-common/xep: fe-vcard.o
diff -rBu a/src/fe-common/xep/fe-version.h b/src/fe-common/xep/fe-version.h
--- a/src/fe-common/xep/fe-version.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/fe-common/xep/fe-version.h	2016-06-07 15:10:05.174477686 +0200
@@ -1,9 +1,13 @@
 #ifndef __FE_VERSION_H
 #define __FE_VERSION_H
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 void fe_version_init(void);
 void fe_version_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/fe-common/xep: fe-version.o
diff -rBu a/src/fe-common/xep/fe-xep.h b/src/fe-common/xep/fe-xep.h
--- a/src/fe-common/xep/fe-xep.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/fe-common/xep/fe-xep.h	2016-06-07 15:08:22.215688338 +0200
@@ -1,9 +1,13 @@
 #ifndef __FE_XEP_H
 #define __FE_XEP_H
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 void	fe_xep_init(void);
 void	fe_xep_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/fe-common/xep: fe-xep.o
diff -rBu a/src/fe-common/xmpp-completion.h b/src/fe-common/xmpp-completion.h
--- a/src/fe-common/xmpp-completion.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/fe-common/xmpp-completion.h	2016-06-07 15:08:44.742819442 +0200
@@ -1,9 +1,13 @@
 #ifndef __XMPP_COMPLETION_H
 #define __XMPP_COMPLETION_H
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 void xmpp_completion_init(void);
 void xmpp_completion_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/fe-common: xmpp-completion.o
diff -rBu a/src/fe-common/xmpp-formats.h b/src/fe-common/xmpp-formats.h
--- a/src/fe-common/xmpp-formats.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/fe-common/xmpp-formats.h	2016-06-07 15:05:42.712398046 +0200
@@ -1,9 +1,13 @@
 #ifndef __XMPP_FORMATS_H
 #define __XMPP_FORMATS_H
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 void xmpp_formats_init(void);
 void xmpp_formats_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/fe-common: xmpp-formats.o
Only in b/src/fe-text: libtext_xmpp.so
Only in b/src/fe-text: text-xmpp-core.o
diff -rBu a/src/fe-text/xep/text-composing.h b/src/fe-text/xep/text-composing.h
--- a/src/fe-text/xep/text-composing.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/fe-text/xep/text-composing.h	2016-06-07 15:11:16.325944602 +0200
@@ -1,9 +1,13 @@
 #ifndef __TEXT_COMPOSING_H
 #define __TEXT_COMPOSING_H
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 void text_composing_init(void);
 void text_composing_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/fe-text/xep: text-composing.o
diff -rBu a/src/fe-text/xep/text-muc.h b/src/fe-text/xep/text-muc.h
--- a/src/fe-text/xep/text-muc.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/fe-text/xep/text-muc.h	2016-06-07 15:11:28.886203553 +0200
@@ -1,9 +1,13 @@
 #ifndef __TEXT_MUC_H
 #define __TEXT_MUC_H
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 void text_muc_init(void);
 void text_muc_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/fe-text/xep: text-muc.o
diff -rBu a/src/fe-text/xep/text-xep.h b/src/fe-text/xep/text-xep.h
--- a/src/fe-text/xep/text-xep.h	2016-03-18 15:07:32.000000000 +0100
+++ b/src/fe-text/xep/text-xep.h	2016-06-07 15:11:03.165673278 +0200
@@ -1,9 +1,13 @@
 #ifndef __TEXT_XEP_H
 #define __TEXT_XEP_H
 
-__BEGIN_DECLS
+#ifdef __cplusplus
+extern "C" {
+#endif
 void	text_xep_init(void);
 void	text_xep_deinit(void);
-__END_DECLS
+#ifdef __cplusplus
+}
+#endif
 
 #endif
Only in b/src/fe-text/xep: text-xep.o
